<?php
header("Content-Type: text/html; charset=utf-8");
include 'config.php';
include 'lib/tools.php';

$commands = array(
    'manage'=>array('modules/manage.php', 'Skripte Verwalten'),
);

$page_command = 'manage';
if(isset($_GET['cmd'])) $page_command = $_GET['cmd'];

?>
<!doctype html>
<html>
<head>
    <title>node.js Manager</title>
    <link rel="stylesheet" type="text/css" href="css/foundation.min.css">
    <link rel="stylesheet" type="text/css" href="css/foundation-icons.css">
    <link rel="stylesheet" type="text/css" href="css/normalize.css">
    <link rel="stylesheet" type="text/css" href="css/hostdream.css">
    <script type="text/javascript" src="js/vendor/jquery.js"></script>
    <script type="text/javascript" src="js/vendor/modernizr.js"></script>
    <script type="text/javascript" src="js/foundation.min.js"></script>
    <script type="text/javascript" src="js/wait-overlay.js"></script>
    <script type="text/javascript">
        var overlay = null;
        function perform_action(ptr, action, res_el, after){
            overlay.show();
            data = {};
            data[action]=1;
            data['mod'] = action;
            for(a in ptr.data()){
                data[a] = ptr.data()[a];
            }
            $.post('exec.php', data, function(data){
                var list = data.split('\n\n');
                for(var i = 0; i < list.length; ++i){
                    if(list[i]){
                        var obj = list[i].split('\n');
                        var alert = $('<div class="alert-box '+obj[0]+'">'+obj[1]+'</div>');
                        res_el.append(alert);
                        alert_show(alert);
                    }
                }
                overlay.hide();
                if(after) { after.call(); }
            });
        }

        function alert_show(el){
            $(el).hide();
            $(el).slideDown();
            setTimeout(function(){$(el).slideUp(function(){ $(el).remove(); });}, 5000);
        }

        $(document).ready(function(){
            overlay = new WaitOverlay();
            $(document).foundation();
        });
    </script>
</head>
<body>
    <nav class="top-bar" data-topbar role="navigation">
        <ul class="title-area">
            <li class="name">
                <h1><a href="#">node.js Manager</a></h1>
            </li>
        </ul>
        <section class="top-bar-section">
            <ul class="right">
                <?php
                    foreach($commands as $cmd=>$meta){
                        echo "<li".( $cmd == $page_command ? " class='active'" : "").">";
                        echo "<a href='?cmd=$cmd'>";
                        echo $meta[1];
                        echo "</a>";
                        echo "</li>";
                    }
                ?>
            </ul>
        </section>
    </nav>
<?php

include $commands[$page_command][0];

?>
</body>
</html>
