<?php
    $out = cmd('ps aux | grep node');
    $psmeta = array();

    foreach($out[0] as $line){
        $info = preg_split('/ +/', $line);
        if($info[10] == "node"){
            $psmeta[$info[11]] = array(
                'pid'=>intval($info[1]),
                'cpu'=>$info[2],
                'mem'=>$info[3]
            );
        }
    }

    echo "<table style='width: 100%' id='script-table'>";
    echo "<tr><th> Gestartet </th> <th> Skript </th><th> Verzeichnis </th><th> Module installieren (npm) </th><th> Starten </th><th> Beenden </th><th> Entfernen </th></tr>";
    foreach($config['scripts'] as $script=>$path){
        $pid = 0;
        $cpu = '';
        $mem = '';
        if(isset($psmeta[$script])){
            $pid = $psmeta[$script]['pid'];
            $mem = $psmeta[$script]['mem'];
            $cpu = $psmeta[$script]['cpu'];
        }
        echo "<tr>";
        echo "<td>".($pid ? "<span class='size2x fi-check'></span>" : "<span class='size2x fi-x'></span>")."</td>";
        echo "<td>".$script."</td>";
        echo "<td>".$path."</td>";
        echo "<td><a data-path='$path' onclick='perform_action($(this), \"prepare\", $(\"#message-log\"), update_list);' href='#'><span class='size2x fi-widget'></span></a></td>";
        echo "<td><a data-path='$path' data-script='$script' onclick='perform_action($(this), \"run\", $(\"#message-log\"), update_list);' href='#'><span class='size2x fi-play'></span></a></td>";
        echo "<td>".($pid ? "<a data-pid='$pid' onclick='perform_action($(this), \"kill\", $(\"#message-log\"), update_list);' href='#'><span class='size2x fi-skull'></span></a>": "")."</td>";
        echo "<td><a data-path='$path' data-script='$script' onclick='perform_action($(this), \"remove\", $(\"#message-log\"), update_list);' href='#'><span class='size2x fi-minus'></span></a></td>";
        echo "</tr>";
    }
    echo "</table>";
?>
